<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use Illuminate\Support\Facades\Route;

Route::post('customers/customers:search', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersController::class, 'search'])->name('searchCustomers');
Route::post('customers/customers:search-one', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersController::class, 'searchOne'])->name('searchOneCustomers');
Route::post('customers/customers', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersController::class, 'create'])->name('createCustomer');
Route::get('customers/customers/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersController::class, 'get'])->name('getCustomer');
Route::delete('customers/customers/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersController::class, 'delete'])->name('deleteCustomer');
Route::patch('customers/customers/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersController::class, 'patch'])->name('replaceCustomer');
Route::post('customers/customers:verify-email', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersController::class, 'verifyEmail'])->name('verifyEmail');
Route::post('customers/customers/{id}:upload-avatar', [\App\Http\ApiV1\Modules\Customers\Controllers\AvatarsController::class, 'upload'])->name('uploadCustomerAvatar');
Route::post('customers/customers/{id}:delete-avatar', [\App\Http\ApiV1\Modules\Customers\Controllers\AvatarsController::class, 'delete'])->name('deleteCustomerAvatar');
Route::post('customers/addresses:search', [\App\Http\ApiV1\Modules\Customers\Controllers\AddressesController::class, 'search'])->name('searchCustomerAddresses');
Route::post('customers/addresses', [\App\Http\ApiV1\Modules\Customers\Controllers\AddressesController::class, 'create'])->name('createCustomerAddress');
Route::get('customers/addresses/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\AddressesController::class, 'get'])->name('getCustomerAddress');
Route::delete('customers/addresses/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\AddressesController::class, 'delete'])->name('deleteCustomerAddress');
Route::patch('customers/addresses/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\AddressesController::class, 'patch'])->name('replaceCustomerAddress');
Route::post('customers/addresses/{id}:set-as-default', [\App\Http\ApiV1\Modules\Customers\Controllers\AddressesController::class, 'setAsDefault'])->name('setCustomerAddressesAsDefault');
Route::post('customers/statuses:search', [\App\Http\ApiV1\Modules\Customers\Controllers\StatusesController::class, 'search'])->name('searchCustomerStatuses');
Route::post('customers/statuses', [\App\Http\ApiV1\Modules\Customers\Controllers\StatusesController::class, 'create'])->name('createCustomerStatus');
Route::get('customers/statuses/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\StatusesController::class, 'get'])->name('getCustomerStatus');
Route::delete('customers/statuses/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\StatusesController::class, 'delete'])->name('deleteCustomerStatus');
Route::patch('customers/statuses/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\StatusesController::class, 'patch'])->name('replaceCustomerStatuses');
Route::post('customers/attributes:search', [\App\Http\ApiV1\Modules\Customers\Controllers\AttributesController::class, 'search'])->name('searchCustomerAttributes');
Route::post('customers/attributes', [\App\Http\ApiV1\Modules\Customers\Controllers\AttributesController::class, 'create'])->name('createCustomerAttributes');
Route::get('customers/attributes/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\AttributesController::class, 'get'])->name('getCustomerAttribute');
Route::delete('customers/attributes/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\AttributesController::class, 'delete'])->name('deleteCustomerAttribute');
Route::patch('customers/attributes/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\AttributesController::class, 'patch'])->name('replaceCustomerAttribute');
